package io.swagger.model;




import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;

@XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "InlineResponse2003", propOrder =
	{ "id", "iisId", "online", "fullDomainName", "fullDomainNameLocal", "addr1", "zone"
})

@XmlRootElement(name="InlineResponse2003")
public class InlineResponse2003  {
  

  @XmlElement(name="id")
  private Integer id = null;

  @XmlElement(name="iis_id")
  private Integer iisId = null;

  @XmlElement(name="online")
  private Boolean online = null;

  @XmlElement(name="full_domain_name")
  private String fullDomainName = null;

  @XmlElement(name="full_domain_name_local")
  private String fullDomainNameLocal = null;

  @XmlElement(name="addr1")
  private String addr1 = null;

  @XmlElement(name="zone")
  private String zone = null;

  /**
   * идентификатор домена
   **/
  
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }
  /**
   * идентификатор связанной записи IIS
   **/
  
  public Integer getIisId() {
    return iisId;
  }
  public void setIisId(Integer iisId) {
    this.iisId = iisId;
  }
  /**
   * домен работает, если true
   **/
  
  public Boolean getOnline() {
    return online;
  }
  public void setOnline(Boolean online) {
    this.online = online;
  }
  /**
   * полное имя домена
   **/
  
  public String getFullDomainName() {
    return fullDomainName;
  }
  public void setFullDomainName(String fullDomainName) {
    this.fullDomainName = fullDomainName;
  }
  /**
   * 
   **/
  
  public String getFullDomainNameLocal() {
    return fullDomainNameLocal;
  }
  public void setFullDomainNameLocal(String fullDomainNameLocal) {
    this.fullDomainNameLocal = fullDomainNameLocal;
  }
  /**
   * 
   **/
  
  public String getAddr1() {
    return addr1;
  }
  public void setAddr1(String addr1) {
    this.addr1 = addr1;
  }
  /**
   * зона домена
   **/
  
  public String getZone() {
    return zone;
  }
  public void setZone(String zone) {
    this.zone = zone;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2003 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    iisId: ").append(toIndentedString(iisId)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    fullDomainName: ").append(toIndentedString(fullDomainName)).append("\n");
    sb.append("    fullDomainNameLocal: ").append(toIndentedString(fullDomainNameLocal)).append("\n");
    sb.append("    addr1: ").append(toIndentedString(addr1)).append("\n");
    sb.append("    zone: ").append(toIndentedString(zone)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

