package io.swagger.model;




import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;

@XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "InlineResponse2004", propOrder =
	{ "dateUpdated", "recordCreated", "subjectContract", "endDate", "payedTill", "objectState", "domainAddr", "nservers", "expiresCountdown"
})

@XmlRootElement(name="InlineResponse2004")
public class InlineResponse2004  {
  

  @XmlElement(name="date_updated")
  private String dateUpdated = null;

  @XmlElement(name="record_created")
  private String recordCreated = null;

  @XmlElement(name="subject_contract")
  private String subjectContract = null;

  @XmlElement(name="end_date")
  private String endDate = null;

  @XmlElement(name="payed_till")
  private String payedTill = null;

  @XmlElement(name="object_state")
  private String objectState = null;

  @XmlElement(name="domain_addr")
  private String domainAddr = null;

  @XmlElement(name="nservers")
  private String nservers = null;

  @XmlElement(name="expires_countdown")
  private Integer expiresCountdown = null;

  /**
   * Дата последнего обновления домена
   **/
  
  public String getDateUpdated() {
    return dateUpdated;
  }
  public void setDateUpdated(String dateUpdated) {
    this.dateUpdated = dateUpdated;
  }
  /**
   * Дата создания записи
   **/
  
  public String getRecordCreated() {
    return recordCreated;
  }
  public void setRecordCreated(String recordCreated) {
    this.recordCreated = recordCreated;
  }
  /**
   * 
   **/
  
  public String getSubjectContract() {
    return subjectContract;
  }
  public void setSubjectContract(String subjectContract) {
    this.subjectContract = subjectContract;
  }
  /**
   * 
   **/
  
  public String getEndDate() {
    return endDate;
  }
  public void setEndDate(String endDate) {
    this.endDate = endDate;
  }
  /**
   * Дата, до которой оплачен домен
   **/
  
  public String getPayedTill() {
    return payedTill;
  }
  public void setPayedTill(String payedTill) {
    this.payedTill = payedTill;
  }
  /**
   * 
   **/
  
  public String getObjectState() {
    return objectState;
  }
  public void setObjectState(String objectState) {
    this.objectState = objectState;
  }
  /**
   * Имя домена
   **/
  
  public String getDomainAddr() {
    return domainAddr;
  }
  public void setDomainAddr(String domainAddr) {
    this.domainAddr = domainAddr;
  }
  /**
   * Сервера имён домена
   **/
  
  public String getNservers() {
    return nservers;
  }
  public void setNservers(String nservers) {
    this.nservers = nservers;
  }
  /**
   * Количество дней до окончания срока действия домена
   **/
  
  public Integer getExpiresCountdown() {
    return expiresCountdown;
  }
  public void setExpiresCountdown(Integer expiresCountdown) {
    this.expiresCountdown = expiresCountdown;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2004 {\n");
    
    sb.append("    dateUpdated: ").append(toIndentedString(dateUpdated)).append("\n");
    sb.append("    recordCreated: ").append(toIndentedString(recordCreated)).append("\n");
    sb.append("    subjectContract: ").append(toIndentedString(subjectContract)).append("\n");
    sb.append("    endDate: ").append(toIndentedString(endDate)).append("\n");
    sb.append("    payedTill: ").append(toIndentedString(payedTill)).append("\n");
    sb.append("    objectState: ").append(toIndentedString(objectState)).append("\n");
    sb.append("    domainAddr: ").append(toIndentedString(domainAddr)).append("\n");
    sb.append("    nservers: ").append(toIndentedString(nservers)).append("\n");
    sb.append("    expiresCountdown: ").append(toIndentedString(expiresCountdown)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

