package io.swagger.api;

import io.swagger.model.InlineResponse2003;
import io.swagger.model.InlineResponse2004;

import java.io.InputStream;
import java.io.OutputStream;
import java.util.List;
import java.util.Map;
import javax.ws.rs.*;
import javax.ws.rs.core.Response;

import org.apache.cxf.jaxrs.ext.multipart.*;

@Path("/")
public interface DNSApi  {
    @GET
    @Path("/dns/add")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response dnsAddGet(@QueryParam("_token_") String token_,@QueryParam("add_dns_zone") String addDnsZone,@QueryParam("add_dns_record") String addDnsRecord,@QueryParam("iis_site_for_dns") String iisSiteForDns,@QueryParam("bind_only") Boolean bindOnly);
    @GET
    @Path("/dns/bind")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response dnsBindGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_,@QueryParam("bind_to") String bindTo);
    @GET
    @Path("/dns/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response dnsListGet(@QueryParam("_token_") String token_);
    @GET
    @Path("/dns/prolong/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response dnsProlongListGet(@QueryParam("_token_") String token_);
    @GET
    @Path("/dns/raw")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response dnsRawGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_,@QueryParam("s_del") Integer sDel,@QueryParam("s_add") Integer sAdd,@QueryParam("dns_type") String dnsType,@QueryParam("dns_name") String dnsName,@QueryParam("dns_value") String dnsValue);
    @GET
    @Path("/dns/raw/managedmx")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response dnsRawManagedmxGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_,@QueryParam("managed_mx") Integer managedMx,@QueryParam("upd_managed_mx") Integer updManagedMx);
}

