package io.swagger.api;

import java.math.BigDecimal;
import io.swagger.model.InlineResponse200;
import io.swagger.model.InlineResponse2001;
import io.swagger.model._;
import io.swagger.model.InlineResponse2005;
import io.swagger.model.InlineResponse2006;
import io.swagger.model.InlineResponse20010;
import io.swagger.model.InlineResponse20014;

import java.io.InputStream;
import java.io.OutputStream;
import java.util.List;
import java.util.Map;
import javax.ws.rs.*;
import javax.ws.rs.core.Response;

import org.apache.cxf.jaxrs.ext.multipart.*;

@Path("/")
public interface DefaultApi  {
    @GET
    @Path("/balance")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response balanceGet(@QueryParam("_token_") String token_);
    @GET
    @Path("/balance.lic")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response balanceLicGet(@QueryParam("_token_") String token_);
    @GET
    @Path("/billing/debt")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response billingDebtGet(@QueryParam("_token_") String token_);
    @GET
    @Path("/billing/info")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response billingInfoGet(@QueryParam("_token_") String token_);
    @GET
    @Path("/billing/limits")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response billingLimitsGet(@QueryParam("_token_") String token_);
    @GET
    @Path("/email/add")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response emailAddGet(@QueryParam("_token_") String token_,@QueryParam("add_email") String addEmail);
    @GET
    @Path("/email/alias/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response emailAliasDeleteGet(@QueryParam("_token_") String token_,@QueryParam("_key_") String key_);
    @GET
    @Path("/email/alias/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response emailAliasListGet(@QueryParam("_token_") String token_);
    @GET
    @Path("/email/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response emailDeleteGet(@QueryParam("_token_") String token_,@QueryParam("_key_") String key_);
    @GET
    @Path("/email/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response emailListGet(@QueryParam("_token_") String token_);
    @GET
    @Path("/updates/last")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response updatesLastGet(@QueryParam("_token_") String token_);
    @GET
    @Path("/updates/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response updatesListGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_);
    @GET
    @Path("/website/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response websiteDeleteGet(@QueryParam("_token_") String token_,@QueryParam("_key_") String key_);
    @GET
    @Path("/website/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response websiteListGet(@QueryParam("_token_") String token_);
}

