package io.swagger.api;

import io.swagger.model.InlineResponse20011;
import io.swagger.model.InlineResponse20012;
import io.swagger.model.InlineResponse20013;

import java.io.InputStream;
import java.io.OutputStream;
import java.util.List;
import java.util.Map;
import javax.ws.rs.*;
import javax.ws.rs.core.Response;

import org.apache.cxf.jaxrs.ext.multipart.*;

@Path("/")
public interface VDSHyperVOpenVZApi  {
    @GET
    @Path("/vds/create")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsCreateGet(@QueryParam("_token_") String token_,@QueryParam("type") String type,@QueryParam("cr_hvmem") Integer crHvmem,@QueryParam("cr_hvdsk") Integer crHvdsk,@QueryParam("cr_hvcpu") Integer crHvcpu,@QueryParam("template") String template,@QueryParam("force_memo") String forceMemo,@QueryParam("hv_1gb_panel_version") String hv1gbPanelVersion,@QueryParam("panel_install") Boolean panelInstall,@QueryParam("cr_ssd1") Boolean crSsd1,@QueryParam("cr_hv_all_system") Boolean crHvAllSystem);
    @GET
    @Path("/vds/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsDeleteGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_,@QueryParam("force_critical") Boolean forceCritical);
    @GET
    @Path("/vds/ip/add")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsIpAddGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_);
    @GET
    @Path("/vds/ip/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsIpDeleteGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_,@QueryParam("del_ip") String delIp);
    @GET
    @Path("/vds/ip/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsIpListGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_);
    @GET
    @Path("/vds/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsListGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_);
    @GET
    @Path("/vds/reboot")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsRebootGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_);
    @GET
    @Path("/vds/templates-list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsTemplatesListGet(@QueryParam("_token_") String token_);
    @GET
    @Path("/vds/update")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsUpdateGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_,@QueryParam("cr_hvmem") Integer crHvmem,@QueryParam("cr_hvdsk") Integer crHvdsk,@QueryParam("cr_hvcpu") Integer crHvcpu);
}

