package io.swagger.model;

import java.math.BigDecimal;



import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;

@XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "InlineResponse200", propOrder =
	{ "negativeBalanceDays", "negativeBalanceDaysLic", "lastMonthDebtSum", "lastMonthDebtSum2", "blockDate"
})

@XmlRootElement(name="InlineResponse200")
public class InlineResponse200  {
  

  @XmlElement(name="negative_balance_days")
  private Integer negativeBalanceDays = null;

  @XmlElement(name="negative_balance_days_lic")
  private Integer negativeBalanceDaysLic = null;

  @XmlElement(name="last_month_debt_sum")
  private BigDecimal lastMonthDebtSum = null;

  @XmlElement(name="last_month_debt_sum2")
  private BigDecimal lastMonthDebtSum2 = null;

  @XmlElement(name="block_date")
  private String blockDate = null;

  /**
   * Планируемое количество дней до наступления негативного баланса
   **/
  
  public Integer getNegativeBalanceDays() {
    return negativeBalanceDays;
  }
  public void setNegativeBalanceDays(Integer negativeBalanceDays) {
    this.negativeBalanceDays = negativeBalanceDays;
  }
  /**
   * Планируемое количество дней до наступления негативного баланса по аккаунту лицензий
   **/
  
  public Integer getNegativeBalanceDaysLic() {
    return negativeBalanceDaysLic;
  }
  public void setNegativeBalanceDaysLic(Integer negativeBalanceDaysLic) {
    this.negativeBalanceDaysLic = negativeBalanceDaysLic;
  }
  /**
   * 
   **/
  
  public BigDecimal getLastMonthDebtSum() {
    return lastMonthDebtSum;
  }
  public void setLastMonthDebtSum(BigDecimal lastMonthDebtSum) {
    this.lastMonthDebtSum = lastMonthDebtSum;
  }
  /**
   * 
   **/
  
  public BigDecimal getLastMonthDebtSum2() {
    return lastMonthDebtSum2;
  }
  public void setLastMonthDebtSum2(BigDecimal lastMonthDebtSum2) {
    this.lastMonthDebtSum2 = lastMonthDebtSum2;
  }
  /**
   * Дата блокировки аккаунта
   **/
  
  public String getBlockDate() {
    return blockDate;
  }
  public void setBlockDate(String blockDate) {
    this.blockDate = blockDate;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse200 {\n");
    
    sb.append("    negativeBalanceDays: ").append(toIndentedString(negativeBalanceDays)).append("\n");
    sb.append("    negativeBalanceDaysLic: ").append(toIndentedString(negativeBalanceDaysLic)).append("\n");
    sb.append("    lastMonthDebtSum: ").append(toIndentedString(lastMonthDebtSum)).append("\n");
    sb.append("    lastMonthDebtSum2: ").append(toIndentedString(lastMonthDebtSum2)).append("\n");
    sb.append("    blockDate: ").append(toIndentedString(blockDate)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

