package io.swagger.model;

import java.math.BigDecimal;



import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;

@XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "InlineResponse2001", propOrder =
	{ "id", "description", "billingGroupId", "blocked", "blockedDate", "blockedReason", "creditLimit", "planId", "periodId", "contractType", "clientId", "clientLogin", "contractId", "nameRus", "nameEng", "email", "statSites", "statSizeMb", "statEmails", "statMysqls", "statTech", "statNicd", "statAccessDynamic", "statAccessStatic", "statAccessTraffic", "statPaidTotal", "statVdsSize", "planName", "periodMonths", "periodPrice", "expires", "externalCurrencySpelledPrefix", "externalCurrencySpelledSuffix"
})

@XmlRootElement(name="InlineResponse2001")
public class InlineResponse2001  {
  

  @XmlElement(name="id")
  private Integer id = null;

  @XmlElement(name="description")
  private String description = null;

  @XmlElement(name="billing_group_id")
  private Integer billingGroupId = null;

  @XmlElement(name="blocked")
  private String blocked = null;

  @XmlElement(name="blocked_date")
  private String blockedDate = null;

  @XmlElement(name="blocked_reason")
  private String blockedReason = null;

  @XmlElement(name="credit_limit")
  private BigDecimal creditLimit = null;

  @XmlElement(name="plan_id")
  private Integer planId = null;

  @XmlElement(name="period_id")
  private Integer periodId = null;

  @XmlElement(name="contract_type")
  private Integer contractType = null;

  @XmlElement(name="client_id")
  private Integer clientId = null;

  @XmlElement(name="client_login")
  private String clientLogin = null;

  @XmlElement(name="contract_id")
  private String contractId = null;

  @XmlElement(name="name_rus")
  private String nameRus = null;

  @XmlElement(name="name_eng")
  private String nameEng = null;

  @XmlElement(name="email")
  private String email = null;

  @XmlElement(name="stat_sites")
  private Integer statSites = null;

  @XmlElement(name="stat_size_mb")
  private Integer statSizeMb = null;

  @XmlElement(name="stat_emails")
  private Integer statEmails = null;

  @XmlElement(name="stat_mysqls")
  private Integer statMysqls = null;

  @XmlElement(name="stat_tech")
  private Integer statTech = null;

  @XmlElement(name="stat_nicd")
  private Integer statNicd = null;

  @XmlElement(name="stat_access_dynamic")
  private Integer statAccessDynamic = null;

  @XmlElement(name="stat_access_static")
  private Integer statAccessStatic = null;

  @XmlElement(name="stat_access_traffic")
  private Integer statAccessTraffic = null;

  @XmlElement(name="stat_paid_total")
  private Integer statPaidTotal = null;

  @XmlElement(name="stat_vds_size")
  private Integer statVdsSize = null;

  @XmlElement(name="__plan_name")
  private String planName = null;

  @XmlElement(name="__period_months")
  private Integer periodMonths = null;

  @XmlElement(name="__period_price")
  private BigDecimal periodPrice = null;

  @XmlElement(name="__expires")
  private String expires = null;

  @XmlElement(name="external_currency_spelled_prefix")
  private String externalCurrencySpelledPrefix = null;

  @XmlElement(name="external_currency_spelled_suffix")
  private String externalCurrencySpelledSuffix = null;

  /**
   * Идентификатор аккаунта
   **/
  
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }
  /**
   * Описание аккаунта
   **/
  
  public String getDescription() {
    return description;
  }
  public void setDescription(String description) {
    this.description = description;
  }
  /**
   * Идентификатор тарифной группы
   **/
  
  public Integer getBillingGroupId() {
    return billingGroupId;
  }
  public void setBillingGroupId(Integer billingGroupId) {
    this.billingGroupId = billingGroupId;
  }
  /**
   * Аккаунт заблокирован, если true
   **/
  
  public String getBlocked() {
    return blocked;
  }
  public void setBlocked(String blocked) {
    this.blocked = blocked;
  }
  /**
   * Дата блокировки
   **/
  
  public String getBlockedDate() {
    return blockedDate;
  }
  public void setBlockedDate(String blockedDate) {
    this.blockedDate = blockedDate;
  }
  /**
   * Причина блокировки
   **/
  
  public String getBlockedReason() {
    return blockedReason;
  }
  public void setBlockedReason(String blockedReason) {
    this.blockedReason = blockedReason;
  }
  /**
   * Ограничение суммы на работу в аванс
   **/
  
  public BigDecimal getCreditLimit() {
    return creditLimit;
  }
  public void setCreditLimit(BigDecimal creditLimit) {
    this.creditLimit = creditLimit;
  }
  /**
   * Идентификатор тарифа
   **/
  
  public Integer getPlanId() {
    return planId;
  }
  public void setPlanId(Integer planId) {
    this.planId = planId;
  }
  /**
   * Идентификатор тарифа (периода)
   **/
  
  public Integer getPeriodId() {
    return periodId;
  }
  public void setPeriodId(Integer periodId) {
    this.periodId = periodId;
  }
  /**
   * Тип договора
   **/
  
  public Integer getContractType() {
    return contractType;
  }
  public void setContractType(Integer contractType) {
    this.contractType = contractType;
  }
  /**
   * 
   **/
  
  public Integer getClientId() {
    return clientId;
  }
  public void setClientId(Integer clientId) {
    this.clientId = clientId;
  }
  /**
   * Логин клиента
   **/
  
  public String getClientLogin() {
    return clientLogin;
  }
  public void setClientLogin(String clientLogin) {
    this.clientLogin = clientLogin;
  }
  /**
   * Номер договора
   **/
  
  public String getContractId() {
    return contractId;
  }
  public void setContractId(String contractId) {
    this.contractId = contractId;
  }
  /**
   * Имя клиента на русском
   **/
  
  public String getNameRus() {
    return nameRus;
  }
  public void setNameRus(String nameRus) {
    this.nameRus = nameRus;
  }
  /**
   * Имя клиента на английском
   **/
  
  public String getNameEng() {
    return nameEng;
  }
  public void setNameEng(String nameEng) {
    this.nameEng = nameEng;
  }
  /**
   * E-mail клиент
   **/
  
  public String getEmail() {
    return email;
  }
  public void setEmail(String email) {
    this.email = email;
  }
  /**
   * Количество созданных сайтов
   **/
  
  public Integer getStatSites() {
    return statSites;
  }
  public void setStatSites(Integer statSites) {
    this.statSites = statSites;
  }
  /**
   * Используемое дисковое пространство
   **/
  
  public Integer getStatSizeMb() {
    return statSizeMb;
  }
  public void setStatSizeMb(Integer statSizeMb) {
    this.statSizeMb = statSizeMb;
  }
  /**
   * Количество созданных почтовых ящиков
   **/
  
  public Integer getStatEmails() {
    return statEmails;
  }
  public void setStatEmails(Integer statEmails) {
    this.statEmails = statEmails;
  }
  /**
   * Количество баз данных MySQL
   **/
  
  public Integer getStatMysqls() {
    return statMysqls;
  }
  public void setStatMysqls(Integer statMysqls) {
    this.statMysqls = statMysqls;
  }
  /**
   * 
   **/
  
  public Integer getStatTech() {
    return statTech;
  }
  public void setStatTech(Integer statTech) {
    this.statTech = statTech;
  }
  /**
   * 
   **/
  
  public Integer getStatNicd() {
    return statNicd;
  }
  public void setStatNicd(Integer statNicd) {
    this.statNicd = statNicd;
  }
  /**
   * 
   **/
  
  public Integer getStatAccessDynamic() {
    return statAccessDynamic;
  }
  public void setStatAccessDynamic(Integer statAccessDynamic) {
    this.statAccessDynamic = statAccessDynamic;
  }
  /**
   * 
   **/
  
  public Integer getStatAccessStatic() {
    return statAccessStatic;
  }
  public void setStatAccessStatic(Integer statAccessStatic) {
    this.statAccessStatic = statAccessStatic;
  }
  /**
   * 
   **/
  
  public Integer getStatAccessTraffic() {
    return statAccessTraffic;
  }
  public void setStatAccessTraffic(Integer statAccessTraffic) {
    this.statAccessTraffic = statAccessTraffic;
  }
  /**
   * 
   **/
  
  public Integer getStatPaidTotal() {
    return statPaidTotal;
  }
  public void setStatPaidTotal(Integer statPaidTotal) {
    this.statPaidTotal = statPaidTotal;
  }
  /**
   * Размер дисков VDS
   **/
  
  public Integer getStatVdsSize() {
    return statVdsSize;
  }
  public void setStatVdsSize(Integer statVdsSize) {
    this.statVdsSize = statVdsSize;
  }
  /**
   * Название тарифного плана
   **/
  
  public String getPlanName() {
    return planName;
  }
  public void setPlanName(String planName) {
    this.planName = planName;
  }
  /**
   * Количество месяцев в оплаченном периоде
   **/
  
  public Integer getPeriodMonths() {
    return periodMonths;
  }
  public void setPeriodMonths(Integer periodMonths) {
    this.periodMonths = periodMonths;
  }
  /**
   * Стоимость оплаченного периода
   **/
  
  public BigDecimal getPeriodPrice() {
    return periodPrice;
  }
  public void setPeriodPrice(BigDecimal periodPrice) {
    this.periodPrice = periodPrice;
  }
  /**
   * 
   **/
  
  public String getExpires() {
    return expires;
  }
  public void setExpires(String expires) {
    this.expires = expires;
  }
  /**
   * Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$')
   **/
  
  public String getExternalCurrencySpelledPrefix() {
    return externalCurrencySpelledPrefix;
  }
  public void setExternalCurrencySpelledPrefix(String externalCurrencySpelledPrefix) {
    this.externalCurrencySpelledPrefix = externalCurrencySpelledPrefix;
  }
  /**
   * Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.'
   **/
  
  public String getExternalCurrencySpelledSuffix() {
    return externalCurrencySpelledSuffix;
  }
  public void setExternalCurrencySpelledSuffix(String externalCurrencySpelledSuffix) {
    this.externalCurrencySpelledSuffix = externalCurrencySpelledSuffix;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2001 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    billingGroupId: ").append(toIndentedString(billingGroupId)).append("\n");
    sb.append("    blocked: ").append(toIndentedString(blocked)).append("\n");
    sb.append("    blockedDate: ").append(toIndentedString(blockedDate)).append("\n");
    sb.append("    blockedReason: ").append(toIndentedString(blockedReason)).append("\n");
    sb.append("    creditLimit: ").append(toIndentedString(creditLimit)).append("\n");
    sb.append("    planId: ").append(toIndentedString(planId)).append("\n");
    sb.append("    periodId: ").append(toIndentedString(periodId)).append("\n");
    sb.append("    contractType: ").append(toIndentedString(contractType)).append("\n");
    sb.append("    clientId: ").append(toIndentedString(clientId)).append("\n");
    sb.append("    clientLogin: ").append(toIndentedString(clientLogin)).append("\n");
    sb.append("    contractId: ").append(toIndentedString(contractId)).append("\n");
    sb.append("    nameRus: ").append(toIndentedString(nameRus)).append("\n");
    sb.append("    nameEng: ").append(toIndentedString(nameEng)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("    statSites: ").append(toIndentedString(statSites)).append("\n");
    sb.append("    statSizeMb: ").append(toIndentedString(statSizeMb)).append("\n");
    sb.append("    statEmails: ").append(toIndentedString(statEmails)).append("\n");
    sb.append("    statMysqls: ").append(toIndentedString(statMysqls)).append("\n");
    sb.append("    statTech: ").append(toIndentedString(statTech)).append("\n");
    sb.append("    statNicd: ").append(toIndentedString(statNicd)).append("\n");
    sb.append("    statAccessDynamic: ").append(toIndentedString(statAccessDynamic)).append("\n");
    sb.append("    statAccessStatic: ").append(toIndentedString(statAccessStatic)).append("\n");
    sb.append("    statAccessTraffic: ").append(toIndentedString(statAccessTraffic)).append("\n");
    sb.append("    statPaidTotal: ").append(toIndentedString(statPaidTotal)).append("\n");
    sb.append("    statVdsSize: ").append(toIndentedString(statVdsSize)).append("\n");
    sb.append("    planName: ").append(toIndentedString(planName)).append("\n");
    sb.append("    periodMonths: ").append(toIndentedString(periodMonths)).append("\n");
    sb.append("    periodPrice: ").append(toIndentedString(periodPrice)).append("\n");
    sb.append("    expires: ").append(toIndentedString(expires)).append("\n");
    sb.append("    externalCurrencySpelledPrefix: ").append(toIndentedString(externalCurrencySpelledPrefix)).append("\n");
    sb.append("    externalCurrencySpelledSuffix: ").append(toIndentedString(externalCurrencySpelledSuffix)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

