package io.swagger.model;




import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;

@XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "InlineResponse20010", propOrder =
	{ "id", "datetime", "description", "descriptionPlain"
})

@XmlRootElement(name="InlineResponse20010")
public class InlineResponse20010  {
  

  @XmlElement(name="id")
  private Integer id = null;

  @XmlElement(name="datetime")
  private String datetime = null;

  @XmlElement(name="description")
  private String description = null;

  @XmlElement(name="description_plain")
  private String descriptionPlain = null;

  /**
   * Идентификатор записи
   **/
  
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }
  /**
   * Дата и время создания записи
   **/
  
  public String getDatetime() {
    return datetime;
  }
  public void setDatetime(String datetime) {
    this.datetime = datetime;
  }
  /**
   * Тело сообщения (с HTML-тэгами)
   **/
  
  public String getDescription() {
    return description;
  }
  public void setDescription(String description) {
    this.description = description;
  }
  /**
   * Тело сообщения (без тэгов)
   **/
  
  public String getDescriptionPlain() {
    return descriptionPlain;
  }
  public void setDescriptionPlain(String descriptionPlain) {
    this.descriptionPlain = descriptionPlain;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse20010 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    datetime: ").append(toIndentedString(datetime)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    descriptionPlain: ").append(toIndentedString(descriptionPlain)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

