package io.swagger.model;




import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;

@XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "InlineResponse20012", propOrder =
	{ "id", "deleted", "online", "stopped", "pwd", "template", "typeFull", "physicalMac", "type"
})

@XmlRootElement(name="InlineResponse20012")
public class InlineResponse20012  {
  

  @XmlElement(name="id")
  private Integer id = null;

  @XmlElement(name="deleted")
  private Boolean deleted = null;

  @XmlElement(name="online")
  private Boolean online = null;

  @XmlElement(name="stopped")
  private Boolean stopped = null;

  @XmlElement(name="pwd")
  private String pwd = null;

  @XmlElement(name="template")
  private String template = null;

  @XmlElement(name="type_full")
  private String typeFull = null;

  @XmlElement(name="physical_mac")
  private String physicalMac = null;

  @XmlElement(name="type")
  private String type = null;

  /**
   * идентификатор VDS
   **/
  
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }
  /**
   * VDS удалён если true
   **/
  
  public Boolean getDeleted() {
    return deleted;
  }
  public void setDeleted(Boolean deleted) {
    this.deleted = deleted;
  }
  /**
   * VDS работает нормально если true
   **/
  
  public Boolean getOnline() {
    return online;
  }
  public void setOnline(Boolean online) {
    this.online = online;
  }
  /**
   * VDS остановлен если true
   **/
  
  public Boolean getStopped() {
    return stopped;
  }
  public void setStopped(Boolean stopped) {
    this.stopped = stopped;
  }
  /**
   * изначальный пароль администратора или root
   **/
  
  public String getPwd() {
    return pwd;
  }
  public void setPwd(String pwd) {
    this.pwd = pwd;
  }
  /**
   * шаблон, на основе которого был создан VDS
   **/
  
  public String getTemplate() {
    return template;
  }
  public void setTemplate(String template) {
    this.template = template;
  }
  /**
   * полное описание типа VDS
   **/
  
  public String getTypeFull() {
    return typeFull;
  }
  public void setTypeFull(String typeFull) {
    this.typeFull = typeFull;
  }
  /**
   * MAC-адрес VDS
   **/
  
  public String getPhysicalMac() {
    return physicalMac;
  }
  public void setPhysicalMac(String physicalMac) {
    this.physicalMac = physicalMac;
  }
  /**
   * тип VDS
   **/
  
  public String getType() {
    return type;
  }
  public void setType(String type) {
    this.type = type;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse20012 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    deleted: ").append(toIndentedString(deleted)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    stopped: ").append(toIndentedString(stopped)).append("\n");
    sb.append("    pwd: ").append(toIndentedString(pwd)).append("\n");
    sb.append("    template: ").append(toIndentedString(template)).append("\n");
    sb.append("    typeFull: ").append(toIndentedString(typeFull)).append("\n");
    sb.append("    physicalMac: ").append(toIndentedString(physicalMac)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

