package io.swagger.model;




import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;

@XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "InlineResponse20013", propOrder =
	{ "type", "template", "popularity", "actualTemplate"
})

@XmlRootElement(name="InlineResponse20013")
public class InlineResponse20013  {
  

  @XmlElement(name="type")
  private String type = null;

  @XmlElement(name="template")
  private String template = null;

  @XmlElement(name="popularity")
  private Integer popularity = null;

  @XmlElement(name="actual_template")
  private Integer actualTemplate = null;

  /**
   * Тип VDS, для которого применим шаблон. Принимает значения 'hv' и 'vz'
   **/
  
  public String getType() {
    return type;
  }
  public void setType(String type) {
    this.type = type;
  }
  /**
   * Имя шаблона
   **/
  
  public String getTemplate() {
    return template;
  }
  public void setTemplate(String template) {
    this.template = template;
  }
  /**
   * Популярность
   **/
  
  public Integer getPopularity() {
    return popularity;
  }
  public void setPopularity(Integer popularity) {
    this.popularity = popularity;
  }
  /**
   * Актуальность шаблона. 1 = шаблон актуален
   **/
  
  public Integer getActualTemplate() {
    return actualTemplate;
  }
  public void setActualTemplate(Integer actualTemplate) {
    this.actualTemplate = actualTemplate;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse20013 {\n");
    
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    template: ").append(toIndentedString(template)).append("\n");
    sb.append("    popularity: ").append(toIndentedString(popularity)).append("\n");
    sb.append("    actualTemplate: ").append(toIndentedString(actualTemplate)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

