package io.swagger.model;




import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;

@XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "InlineResponse20014", propOrder =
	{ "id", "status", "unmovable", "online", "deleted", "deletedAuto", "deletedDump", "userId", "ftpId", "dnsId", "iisId", "iisBinding", "iisPath", "iisComments", "memo", "dateReg", "server", "serverBak", "serverAux", "serverTransition", "serverTransitionDtc", "blockTransfer", "serverChangedTime", "sizeAmount", "sizeFileCount", "sizeFileCountLimit", "sizeDate", "sizePriorityScan", "copyLogs", "contentComments", "contentCommentsVerbose", "metaSaveCount", "baseFolder", "virtualhostConf", "virtualhostServer", "virtualhostServerConf", "liveDayCount", "scanDate", "globalTransferCount", "netLimitFile", "netLimitDenyFromIp", "netLimitDenyFromAgent", "apachePhpPooled", "apachePhpPooledExt", "apachePhpPooledExtAuto", "apachePhpPool1Only", "apachePhpPool5Only", "apacheSsi", "bypassSecurity", "flagGenericExec", "flagNoWww", "baseFolderSuffix", "feedbackSpeed", "feedbackSpeedDtc", "feedbackSpeedFeedback", "unixPathOnWindows", "ftpIpfilter", "sshIpfilter", "l3dAuto", "awstatsPrimaryDomain", "sharepointMode", "sharepointModePending", "apacheGenericPoolPort", "mongrelEnvironment", "flagFree", "rtmScanDate", "analyzeAnalog", "cpuDetailsEnabled", "contentModeratedStatus", "contentModeratedDate", "httpFrontendIp", "httpFrontendIpTransition", "cpuLimitExceededDate", "aufsTemplate", "optionsAutolimit", "iisCreationCommands", "iisCreationCommandsUnix", "thumbDate", "thumbFailed", "backupStatDate", "backupDate", "detectedPackages", "statSitePower", "smtpFrom", "superBackupDate", "backupDeltaStatDate", "backupDeltaDate", "backupDeltaDesc", "altDocrootServer", "altDocrootPath", "altDocrootStatus", "altDocrootStatusCnt", "altDocrootStatusDate", "bindDtc", "backupSpecialMode", "sizeCheckProblem", "wpbDomain", "wpbUuid", "wpbStatus", "adminProtection", "sizeComments", "altDocrootSsdReq", "mailLimit", "mailAccept", "mailDrop", "ftpName", "ftpPwd"
})

@XmlRootElement(name="InlineResponse20014")
public class InlineResponse20014  {
  

  @XmlElement(name="id")
  private Integer id = null;

  @XmlElement(name="status")
  private String status = null;

  @XmlElement(name="unmovable")
  private String unmovable = null;

  @XmlElement(name="online")
  private String online = null;

  @XmlElement(name="deleted")
  private String deleted = null;

  @XmlElement(name="deleted_auto")
  private String deletedAuto = null;

  @XmlElement(name="deleted_dump")
  private String deletedDump = null;

  @XmlElement(name="user_id")
  private String userId = null;

  @XmlElement(name="ftp_id")
  private String ftpId = null;

  @XmlElement(name="dns_id")
  private String dnsId = null;

  @XmlElement(name="iis_id")
  private String iisId = null;

  @XmlElement(name="iis_binding")
  private String iisBinding = null;

  @XmlElement(name="iis_path")
  private String iisPath = null;

  @XmlElement(name="iis_comments")
  private String iisComments = null;

  @XmlElement(name="memo")
  private String memo = null;

  @XmlElement(name="date_reg")
  private String dateReg = null;

  @XmlElement(name="server")
  private String server = null;

  @XmlElement(name="server_bak")
  private String serverBak = null;

  @XmlElement(name="server_aux")
  private String serverAux = null;

  @XmlElement(name="server_transition")
  private String serverTransition = null;

  @XmlElement(name="server_transition_dtc")
  private String serverTransitionDtc = null;

  @XmlElement(name="block_transfer")
  private String blockTransfer = null;

  @XmlElement(name="server_changed_time")
  private String serverChangedTime = null;

  @XmlElement(name="size_amount")
  private String sizeAmount = null;

  @XmlElement(name="size_file_count")
  private String sizeFileCount = null;

  @XmlElement(name="size_file_count_limit")
  private String sizeFileCountLimit = null;

  @XmlElement(name="size_date")
  private String sizeDate = null;

  @XmlElement(name="size_priority_scan")
  private String sizePriorityScan = null;

  @XmlElement(name="copy_logs")
  private String copyLogs = null;

  @XmlElement(name="content_comments")
  private String contentComments = null;

  @XmlElement(name="content_comments_verbose")
  private String contentCommentsVerbose = null;

  @XmlElement(name="meta_save_count")
  private String metaSaveCount = null;

  @XmlElement(name="base_folder")
  private String baseFolder = null;

  @XmlElement(name="virtualhost_conf")
  private String virtualhostConf = null;

  @XmlElement(name="virtualhost_server")
  private String virtualhostServer = null;

  @XmlElement(name="virtualhost_server_conf")
  private String virtualhostServerConf = null;

  @XmlElement(name="live_day_count")
  private String liveDayCount = null;

  @XmlElement(name="scan_date")
  private String scanDate = null;

  @XmlElement(name="global_transfer_count")
  private String globalTransferCount = null;

  @XmlElement(name="net_limit_file")
  private String netLimitFile = null;

  @XmlElement(name="net_limit_deny_from_ip")
  private String netLimitDenyFromIp = null;

  @XmlElement(name="net_limit_deny_from_agent")
  private String netLimitDenyFromAgent = null;

  @XmlElement(name="apache_php_pooled")
  private String apachePhpPooled = null;

  @XmlElement(name="apache_php_pooled_ext")
  private String apachePhpPooledExt = null;

  @XmlElement(name="apache_php_pooled_ext_auto")
  private String apachePhpPooledExtAuto = null;

  @XmlElement(name="apache_php_pool1_only")
  private String apachePhpPool1Only = null;

  @XmlElement(name="apache_php_pool5_only")
  private String apachePhpPool5Only = null;

  @XmlElement(name="apache_ssi")
  private String apacheSsi = null;

  @XmlElement(name="bypass_security")
  private String bypassSecurity = null;

  @XmlElement(name="flag_generic_exec")
  private String flagGenericExec = null;

  @XmlElement(name="flag_no_www")
  private String flagNoWww = null;

  @XmlElement(name="base_folder_suffix")
  private String baseFolderSuffix = null;

  @XmlElement(name="feedback_speed")
  private String feedbackSpeed = null;

  @XmlElement(name="feedback_speed_dtc")
  private String feedbackSpeedDtc = null;

  @XmlElement(name="feedback_speed_feedback")
  private String feedbackSpeedFeedback = null;

  @XmlElement(name="unix_path_on_windows")
  private String unixPathOnWindows = null;

  @XmlElement(name="ftp_ipfilter")
  private String ftpIpfilter = null;

  @XmlElement(name="ssh_ipfilter")
  private String sshIpfilter = null;

  @XmlElement(name="l3d_auto")
  private String l3dAuto = null;

  @XmlElement(name="awstats_primary_domain")
  private String awstatsPrimaryDomain = null;

  @XmlElement(name="sharepoint_mode")
  private String sharepointMode = null;

  @XmlElement(name="sharepoint_mode_pending")
  private String sharepointModePending = null;

  @XmlElement(name="apache_generic_pool_port")
  private String apacheGenericPoolPort = null;

  @XmlElement(name="mongrel_environment")
  private String mongrelEnvironment = null;

  @XmlElement(name="flag_free")
  private String flagFree = null;

  @XmlElement(name="rtm_scan_date")
  private String rtmScanDate = null;

  @XmlElement(name="analyze_analog")
  private String analyzeAnalog = null;

  @XmlElement(name="cpu_details_enabled")
  private String cpuDetailsEnabled = null;

  @XmlElement(name="content_moderated_status")
  private String contentModeratedStatus = null;

  @XmlElement(name="content_moderated_date")
  private String contentModeratedDate = null;

  @XmlElement(name="http_frontend_ip")
  private String httpFrontendIp = null;

  @XmlElement(name="http_frontend_ip_transition")
  private String httpFrontendIpTransition = null;

  @XmlElement(name="cpu_limit_exceeded_date")
  private String cpuLimitExceededDate = null;

  @XmlElement(name="aufs_template")
  private String aufsTemplate = null;

  @XmlElement(name="options_autolimit")
  private String optionsAutolimit = null;

  @XmlElement(name="iis_creation_commands")
  private String iisCreationCommands = null;

  @XmlElement(name="iis_creation_commands_unix")
  private String iisCreationCommandsUnix = null;

  @XmlElement(name="thumb_date")
  private String thumbDate = null;

  @XmlElement(name="thumb_failed")
  private String thumbFailed = null;

  @XmlElement(name="backup_stat_date")
  private String backupStatDate = null;

  @XmlElement(name="backup_date")
  private String backupDate = null;

  @XmlElement(name="detected_packages")
  private String detectedPackages = null;

  @XmlElement(name="stat_site_power")
  private String statSitePower = null;

  @XmlElement(name="smtp_from")
  private String smtpFrom = null;

  @XmlElement(name="super_backup_date")
  private String superBackupDate = null;

  @XmlElement(name="backup_delta_stat_date")
  private String backupDeltaStatDate = null;

  @XmlElement(name="backup_delta_date")
  private String backupDeltaDate = null;

  @XmlElement(name="backup_delta_desc")
  private String backupDeltaDesc = null;

  @XmlElement(name="alt_docroot_server")
  private String altDocrootServer = null;

  @XmlElement(name="alt_docroot_path")
  private String altDocrootPath = null;

  @XmlElement(name="alt_docroot_status")
  private String altDocrootStatus = null;

  @XmlElement(name="alt_docroot_status_cnt")
  private String altDocrootStatusCnt = null;

  @XmlElement(name="alt_docroot_status_date")
  private String altDocrootStatusDate = null;

  @XmlElement(name="bind_dtc")
  private String bindDtc = null;

  @XmlElement(name="backup_special_mode")
  private String backupSpecialMode = null;

  @XmlElement(name="size_check_problem")
  private String sizeCheckProblem = null;

  @XmlElement(name="wpb_domain")
  private String wpbDomain = null;

  @XmlElement(name="wpb_uuid")
  private String wpbUuid = null;

  @XmlElement(name="wpb_status")
  private String wpbStatus = null;

  @XmlElement(name="admin_protection")
  private String adminProtection = null;

  @XmlElement(name="size_comments")
  private String sizeComments = null;

  @XmlElement(name="alt_docroot_ssd_req")
  private String altDocrootSsdReq = null;

  @XmlElement(name="mail_limit")
  private String mailLimit = null;

  @XmlElement(name="mail_accept")
  private String mailAccept = null;

  @XmlElement(name="mail_drop")
  private String mailDrop = null;

  @XmlElement(name="ftp_name")
  private String ftpName = null;

  @XmlElement(name="ftp_pwd")
  private String ftpPwd = null;

  /**
   * 
   **/
  
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }
  /**
   * 
   **/
  
  public String getStatus() {
    return status;
  }
  public void setStatus(String status) {
    this.status = status;
  }
  /**
   * 
   **/
  
  public String getUnmovable() {
    return unmovable;
  }
  public void setUnmovable(String unmovable) {
    this.unmovable = unmovable;
  }
  /**
   * Включен (активен), если true.
   **/
  
  public String getOnline() {
    return online;
  }
  public void setOnline(String online) {
    this.online = online;
  }
  /**
   * Удален, если true. Данные могут сохраняться.
   **/
  
  public String getDeleted() {
    return deleted;
  }
  public void setDeleted(String deleted) {
    this.deleted = deleted;
  }
  /**
   * Удален, если true. Данные могут сохраняться.
   **/
  
  public String getDeletedAuto() {
    return deletedAuto;
  }
  public void setDeletedAuto(String deletedAuto) {
    this.deletedAuto = deletedAuto;
  }
  /**
   * 
   **/
  
  public String getDeletedDump() {
    return deletedDump;
  }
  public void setDeletedDump(String deletedDump) {
    this.deletedDump = deletedDump;
  }
  /**
   * 
   **/
  
  public String getUserId() {
    return userId;
  }
  public void setUserId(String userId) {
    this.userId = userId;
  }
  /**
   * 
   **/
  
  public String getFtpId() {
    return ftpId;
  }
  public void setFtpId(String ftpId) {
    this.ftpId = ftpId;
  }
  /**
   * 
   **/
  
  public String getDnsId() {
    return dnsId;
  }
  public void setDnsId(String dnsId) {
    this.dnsId = dnsId;
  }
  /**
   * 
   **/
  
  public String getIisId() {
    return iisId;
  }
  public void setIisId(String iisId) {
    this.iisId = iisId;
  }
  /**
   * 
   **/
  
  public String getIisBinding() {
    return iisBinding;
  }
  public void setIisBinding(String iisBinding) {
    this.iisBinding = iisBinding;
  }
  /**
   * 
   **/
  
  public String getIisPath() {
    return iisPath;
  }
  public void setIisPath(String iisPath) {
    this.iisPath = iisPath;
  }
  /**
   * Уникальное строковое имя сайта (ID).
   **/
  
  public String getIisComments() {
    return iisComments;
  }
  public void setIisComments(String iisComments) {
    this.iisComments = iisComments;
  }
  /**
   * 
   **/
  
  public String getMemo() {
    return memo;
  }
  public void setMemo(String memo) {
    this.memo = memo;
  }
  /**
   * Дата создания.
   **/
  
  public String getDateReg() {
    return dateReg;
  }
  public void setDateReg(String dateReg) {
    this.dateReg = dateReg;
  }
  /**
   * Тип веб-сервера.
   **/
  
  public String getServer() {
    return server;
  }
  public void setServer(String server) {
    this.server = server;
  }
  /**
   * 
   **/
  
  public String getServerBak() {
    return serverBak;
  }
  public void setServerBak(String serverBak) {
    this.serverBak = serverBak;
  }
  /**
   * 
   **/
  
  public String getServerAux() {
    return serverAux;
  }
  public void setServerAux(String serverAux) {
    this.serverAux = serverAux;
  }
  /**
   * Тип сервера недавно изменялся, если true.
   **/
  
  public String getServerTransition() {
    return serverTransition;
  }
  public void setServerTransition(String serverTransition) {
    this.serverTransition = serverTransition;
  }
  /**
   * 
   **/
  
  public String getServerTransitionDtc() {
    return serverTransitionDtc;
  }
  public void setServerTransitionDtc(String serverTransitionDtc) {
    this.serverTransitionDtc = serverTransitionDtc;
  }
  /**
   * 
   **/
  
  public String getBlockTransfer() {
    return blockTransfer;
  }
  public void setBlockTransfer(String blockTransfer) {
    this.blockTransfer = blockTransfer;
  }
  /**
   * 
   **/
  
  public String getServerChangedTime() {
    return serverChangedTime;
  }
  public void setServerChangedTime(String serverChangedTime) {
    this.serverChangedTime = serverChangedTime;
  }
  /**
   * Размер веб-сайта - объем (Кб).
   **/
  
  public String getSizeAmount() {
    return sizeAmount;
  }
  public void setSizeAmount(String sizeAmount) {
    this.sizeAmount = sizeAmount;
  }
  /**
   * Размер веб-сайта - кол-во файлов.
   **/
  
  public String getSizeFileCount() {
    return sizeFileCount;
  }
  public void setSizeFileCount(String sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
  }
  /**
   * 
   **/
  
  public String getSizeFileCountLimit() {
    return sizeFileCountLimit;
  }
  public void setSizeFileCountLimit(String sizeFileCountLimit) {
    this.sizeFileCountLimit = sizeFileCountLimit;
  }
  /**
   * Размер веб-сайта - дата замера.
   **/
  
  public String getSizeDate() {
    return sizeDate;
  }
  public void setSizeDate(String sizeDate) {
    this.sizeDate = sizeDate;
  }
  /**
   * 
   **/
  
  public String getSizePriorityScan() {
    return sizePriorityScan;
  }
  public void setSizePriorityScan(String sizePriorityScan) {
    this.sizePriorityScan = sizePriorityScan;
  }
  /**
   * 
   **/
  
  public String getCopyLogs() {
    return copyLogs;
  }
  public void setCopyLogs(String copyLogs) {
    this.copyLogs = copyLogs;
  }
  /**
   * 
   **/
  
  public String getContentComments() {
    return contentComments;
  }
  public void setContentComments(String contentComments) {
    this.contentComments = contentComments;
  }
  /**
   * 
   **/
  
  public String getContentCommentsVerbose() {
    return contentCommentsVerbose;
  }
  public void setContentCommentsVerbose(String contentCommentsVerbose) {
    this.contentCommentsVerbose = contentCommentsVerbose;
  }
  /**
   * 
   **/
  
  public String getMetaSaveCount() {
    return metaSaveCount;
  }
  public void setMetaSaveCount(String metaSaveCount) {
    this.metaSaveCount = metaSaveCount;
  }
  /**
   * 
   **/
  
  public String getBaseFolder() {
    return baseFolder;
  }
  public void setBaseFolder(String baseFolder) {
    this.baseFolder = baseFolder;
  }
  /**
   * 
   **/
  
  public String getVirtualhostConf() {
    return virtualhostConf;
  }
  public void setVirtualhostConf(String virtualhostConf) {
    this.virtualhostConf = virtualhostConf;
  }
  /**
   * 
   **/
  
  public String getVirtualhostServer() {
    return virtualhostServer;
  }
  public void setVirtualhostServer(String virtualhostServer) {
    this.virtualhostServer = virtualhostServer;
  }
  /**
   * 
   **/
  
  public String getVirtualhostServerConf() {
    return virtualhostServerConf;
  }
  public void setVirtualhostServerConf(String virtualhostServerConf) {
    this.virtualhostServerConf = virtualhostServerConf;
  }
  /**
   * 
   **/
  
  public String getLiveDayCount() {
    return liveDayCount;
  }
  public void setLiveDayCount(String liveDayCount) {
    this.liveDayCount = liveDayCount;
  }
  /**
   * 
   **/
  
  public String getScanDate() {
    return scanDate;
  }
  public void setScanDate(String scanDate) {
    this.scanDate = scanDate;
  }
  /**
   * 
   **/
  
  public String getGlobalTransferCount() {
    return globalTransferCount;
  }
  public void setGlobalTransferCount(String globalTransferCount) {
    this.globalTransferCount = globalTransferCount;
  }
  /**
   * 
   **/
  
  public String getNetLimitFile() {
    return netLimitFile;
  }
  public void setNetLimitFile(String netLimitFile) {
    this.netLimitFile = netLimitFile;
  }
  /**
   * 
   **/
  
  public String getNetLimitDenyFromIp() {
    return netLimitDenyFromIp;
  }
  public void setNetLimitDenyFromIp(String netLimitDenyFromIp) {
    this.netLimitDenyFromIp = netLimitDenyFromIp;
  }
  /**
   * 
   **/
  
  public String getNetLimitDenyFromAgent() {
    return netLimitDenyFromAgent;
  }
  public void setNetLimitDenyFromAgent(String netLimitDenyFromAgent) {
    this.netLimitDenyFromAgent = netLimitDenyFromAgent;
  }
  /**
   * 
   **/
  
  public String getApachePhpPooled() {
    return apachePhpPooled;
  }
  public void setApachePhpPooled(String apachePhpPooled) {
    this.apachePhpPooled = apachePhpPooled;
  }
  /**
   * 
   **/
  
  public String getApachePhpPooledExt() {
    return apachePhpPooledExt;
  }
  public void setApachePhpPooledExt(String apachePhpPooledExt) {
    this.apachePhpPooledExt = apachePhpPooledExt;
  }
  /**
   * 
   **/
  
  public String getApachePhpPooledExtAuto() {
    return apachePhpPooledExtAuto;
  }
  public void setApachePhpPooledExtAuto(String apachePhpPooledExtAuto) {
    this.apachePhpPooledExtAuto = apachePhpPooledExtAuto;
  }
  /**
   * 
   **/
  
  public String getApachePhpPool1Only() {
    return apachePhpPool1Only;
  }
  public void setApachePhpPool1Only(String apachePhpPool1Only) {
    this.apachePhpPool1Only = apachePhpPool1Only;
  }
  /**
   * 
   **/
  
  public String getApachePhpPool5Only() {
    return apachePhpPool5Only;
  }
  public void setApachePhpPool5Only(String apachePhpPool5Only) {
    this.apachePhpPool5Only = apachePhpPool5Only;
  }
  /**
   * 
   **/
  
  public String getApacheSsi() {
    return apacheSsi;
  }
  public void setApacheSsi(String apacheSsi) {
    this.apacheSsi = apacheSsi;
  }
  /**
   * 
   **/
  
  public String getBypassSecurity() {
    return bypassSecurity;
  }
  public void setBypassSecurity(String bypassSecurity) {
    this.bypassSecurity = bypassSecurity;
  }
  /**
   * 
   **/
  
  public String getFlagGenericExec() {
    return flagGenericExec;
  }
  public void setFlagGenericExec(String flagGenericExec) {
    this.flagGenericExec = flagGenericExec;
  }
  /**
   * 
   **/
  
  public String getFlagNoWww() {
    return flagNoWww;
  }
  public void setFlagNoWww(String flagNoWww) {
    this.flagNoWww = flagNoWww;
  }
  /**
   * 
   **/
  
  public String getBaseFolderSuffix() {
    return baseFolderSuffix;
  }
  public void setBaseFolderSuffix(String baseFolderSuffix) {
    this.baseFolderSuffix = baseFolderSuffix;
  }
  /**
   * 
   **/
  
  public String getFeedbackSpeed() {
    return feedbackSpeed;
  }
  public void setFeedbackSpeed(String feedbackSpeed) {
    this.feedbackSpeed = feedbackSpeed;
  }
  /**
   * 
   **/
  
  public String getFeedbackSpeedDtc() {
    return feedbackSpeedDtc;
  }
  public void setFeedbackSpeedDtc(String feedbackSpeedDtc) {
    this.feedbackSpeedDtc = feedbackSpeedDtc;
  }
  /**
   * 
   **/
  
  public String getFeedbackSpeedFeedback() {
    return feedbackSpeedFeedback;
  }
  public void setFeedbackSpeedFeedback(String feedbackSpeedFeedback) {
    this.feedbackSpeedFeedback = feedbackSpeedFeedback;
  }
  /**
   * 
   **/
  
  public String getUnixPathOnWindows() {
    return unixPathOnWindows;
  }
  public void setUnixPathOnWindows(String unixPathOnWindows) {
    this.unixPathOnWindows = unixPathOnWindows;
  }
  /**
   * Ограничение по IP адресам - FTP доступ.
   **/
  
  public String getFtpIpfilter() {
    return ftpIpfilter;
  }
  public void setFtpIpfilter(String ftpIpfilter) {
    this.ftpIpfilter = ftpIpfilter;
  }
  /**
   * Ограничение по IP адресам - SSH доступ.
   **/
  
  public String getSshIpfilter() {
    return sshIpfilter;
  }
  public void setSshIpfilter(String sshIpfilter) {
    this.sshIpfilter = sshIpfilter;
  }
  /**
   * 
   **/
  
  public String getL3dAuto() {
    return l3dAuto;
  }
  public void setL3dAuto(String l3dAuto) {
    this.l3dAuto = l3dAuto;
  }
  /**
   * 
   **/
  
  public String getAwstatsPrimaryDomain() {
    return awstatsPrimaryDomain;
  }
  public void setAwstatsPrimaryDomain(String awstatsPrimaryDomain) {
    this.awstatsPrimaryDomain = awstatsPrimaryDomain;
  }
  /**
   * 
   **/
  
  public String getSharepointMode() {
    return sharepointMode;
  }
  public void setSharepointMode(String sharepointMode) {
    this.sharepointMode = sharepointMode;
  }
  /**
   * 
   **/
  
  public String getSharepointModePending() {
    return sharepointModePending;
  }
  public void setSharepointModePending(String sharepointModePending) {
    this.sharepointModePending = sharepointModePending;
  }
  /**
   * 
   **/
  
  public String getApacheGenericPoolPort() {
    return apacheGenericPoolPort;
  }
  public void setApacheGenericPoolPort(String apacheGenericPoolPort) {
    this.apacheGenericPoolPort = apacheGenericPoolPort;
  }
  /**
   * 
   **/
  
  public String getMongrelEnvironment() {
    return mongrelEnvironment;
  }
  public void setMongrelEnvironment(String mongrelEnvironment) {
    this.mongrelEnvironment = mongrelEnvironment;
  }
  /**
   * 
   **/
  
  public String getFlagFree() {
    return flagFree;
  }
  public void setFlagFree(String flagFree) {
    this.flagFree = flagFree;
  }
  /**
   * 
   **/
  
  public String getRtmScanDate() {
    return rtmScanDate;
  }
  public void setRtmScanDate(String rtmScanDate) {
    this.rtmScanDate = rtmScanDate;
  }
  /**
   * 
   **/
  
  public String getAnalyzeAnalog() {
    return analyzeAnalog;
  }
  public void setAnalyzeAnalog(String analyzeAnalog) {
    this.analyzeAnalog = analyzeAnalog;
  }
  /**
   * Включен режим предоставления детализации процессорной нагрузки.
   **/
  
  public String getCpuDetailsEnabled() {
    return cpuDetailsEnabled;
  }
  public void setCpuDetailsEnabled(String cpuDetailsEnabled) {
    this.cpuDetailsEnabled = cpuDetailsEnabled;
  }
  /**
   * 
   **/
  
  public String getContentModeratedStatus() {
    return contentModeratedStatus;
  }
  public void setContentModeratedStatus(String contentModeratedStatus) {
    this.contentModeratedStatus = contentModeratedStatus;
  }
  /**
   * 
   **/
  
  public String getContentModeratedDate() {
    return contentModeratedDate;
  }
  public void setContentModeratedDate(String contentModeratedDate) {
    this.contentModeratedDate = contentModeratedDate;
  }
  /**
   * 
   **/
  
  public String getHttpFrontendIp() {
    return httpFrontendIp;
  }
  public void setHttpFrontendIp(String httpFrontendIp) {
    this.httpFrontendIp = httpFrontendIp;
  }
  /**
   * 
   **/
  
  public String getHttpFrontendIpTransition() {
    return httpFrontendIpTransition;
  }
  public void setHttpFrontendIpTransition(String httpFrontendIpTransition) {
    this.httpFrontendIpTransition = httpFrontendIpTransition;
  }
  /**
   * Дата последнего превышения процессорной нагрузки.
   **/
  
  public String getCpuLimitExceededDate() {
    return cpuLimitExceededDate;
  }
  public void setCpuLimitExceededDate(String cpuLimitExceededDate) {
    this.cpuLimitExceededDate = cpuLimitExceededDate;
  }
  /**
   * Признак сайта-конструктора.
   **/
  
  public String getAufsTemplate() {
    return aufsTemplate;
  }
  public void setAufsTemplate(String aufsTemplate) {
    this.aufsTemplate = aufsTemplate;
  }
  /**
   * 
   **/
  
  public String getOptionsAutolimit() {
    return optionsAutolimit;
  }
  public void setOptionsAutolimit(String optionsAutolimit) {
    this.optionsAutolimit = optionsAutolimit;
  }
  /**
   * Версия ASP.NET, если отлична от 2.0.
   **/
  
  public String getIisCreationCommands() {
    return iisCreationCommands;
  }
  public void setIisCreationCommands(String iisCreationCommands) {
    this.iisCreationCommands = iisCreationCommands;
  }
  /**
   * 
   **/
  
  public String getIisCreationCommandsUnix() {
    return iisCreationCommandsUnix;
  }
  public void setIisCreationCommandsUnix(String iisCreationCommandsUnix) {
    this.iisCreationCommandsUnix = iisCreationCommandsUnix;
  }
  /**
   * 
   **/
  
  public String getThumbDate() {
    return thumbDate;
  }
  public void setThumbDate(String thumbDate) {
    this.thumbDate = thumbDate;
  }
  /**
   * 
   **/
  
  public String getThumbFailed() {
    return thumbFailed;
  }
  public void setThumbFailed(String thumbFailed) {
    this.thumbFailed = thumbFailed;
  }
  /**
   * 
   **/
  
  public String getBackupStatDate() {
    return backupStatDate;
  }
  public void setBackupStatDate(String backupStatDate) {
    this.backupStatDate = backupStatDate;
  }
  /**
   * Дата пофайловой резервной копии.
   **/
  
  public String getBackupDate() {
    return backupDate;
  }
  public void setBackupDate(String backupDate) {
    this.backupDate = backupDate;
  }
  /**
   * 
   **/
  
  public String getDetectedPackages() {
    return detectedPackages;
  }
  public void setDetectedPackages(String detectedPackages) {
    this.detectedPackages = detectedPackages;
  }
  /**
   * 
   **/
  
  public String getStatSitePower() {
    return statSitePower;
  }
  public void setStatSitePower(String statSitePower) {
    this.statSitePower = statSitePower;
  }
  /**
   * 
   **/
  
  public String getSmtpFrom() {
    return smtpFrom;
  }
  public void setSmtpFrom(String smtpFrom) {
    this.smtpFrom = smtpFrom;
  }
  /**
   * 
   **/
  
  public String getSuperBackupDate() {
    return superBackupDate;
  }
  public void setSuperBackupDate(String superBackupDate) {
    this.superBackupDate = superBackupDate;
  }
  /**
   * 
   **/
  
  public String getBackupDeltaStatDate() {
    return backupDeltaStatDate;
  }
  public void setBackupDeltaStatDate(String backupDeltaStatDate) {
    this.backupDeltaStatDate = backupDeltaStatDate;
  }
  /**
   * Дата архивной резервной копии.
   **/
  
  public String getBackupDeltaDate() {
    return backupDeltaDate;
  }
  public void setBackupDeltaDate(String backupDeltaDate) {
    this.backupDeltaDate = backupDeltaDate;
  }
  /**
   * Содержимое архивной резервной копии.
   **/
  
  public String getBackupDeltaDesc() {
    return backupDeltaDesc;
  }
  public void setBackupDeltaDesc(String backupDeltaDesc) {
    this.backupDeltaDesc = backupDeltaDesc;
  }
  /**
   * 
   **/
  
  public String getAltDocrootServer() {
    return altDocrootServer;
  }
  public void setAltDocrootServer(String altDocrootServer) {
    this.altDocrootServer = altDocrootServer;
  }
  /**
   * 
   **/
  
  public String getAltDocrootPath() {
    return altDocrootPath;
  }
  public void setAltDocrootPath(String altDocrootPath) {
    this.altDocrootPath = altDocrootPath;
  }
  /**
   * 
   **/
  
  public String getAltDocrootStatus() {
    return altDocrootStatus;
  }
  public void setAltDocrootStatus(String altDocrootStatus) {
    this.altDocrootStatus = altDocrootStatus;
  }
  /**
   * 
   **/
  
  public String getAltDocrootStatusCnt() {
    return altDocrootStatusCnt;
  }
  public void setAltDocrootStatusCnt(String altDocrootStatusCnt) {
    this.altDocrootStatusCnt = altDocrootStatusCnt;
  }
  /**
   * 
   **/
  
  public String getAltDocrootStatusDate() {
    return altDocrootStatusDate;
  }
  public void setAltDocrootStatusDate(String altDocrootStatusDate) {
    this.altDocrootStatusDate = altDocrootStatusDate;
  }
  /**
   * Последнее изменение привязок доменов для сайта.
   **/
  
  public String getBindDtc() {
    return bindDtc;
  }
  public void setBindDtc(String bindDtc) {
    this.bindDtc = bindDtc;
  }
  /**
   * 
   **/
  
  public String getBackupSpecialMode() {
    return backupSpecialMode;
  }
  public void setBackupSpecialMode(String backupSpecialMode) {
    this.backupSpecialMode = backupSpecialMode;
  }
  /**
   * 
   **/
  
  public String getSizeCheckProblem() {
    return sizeCheckProblem;
  }
  public void setSizeCheckProblem(String sizeCheckProblem) {
    this.sizeCheckProblem = sizeCheckProblem;
  }
  /**
   * 
   **/
  
  public String getWpbDomain() {
    return wpbDomain;
  }
  public void setWpbDomain(String wpbDomain) {
    this.wpbDomain = wpbDomain;
  }
  /**
   * Для сайта включен конструктор Parallels WPB.
   **/
  
  public String getWpbUuid() {
    return wpbUuid;
  }
  public void setWpbUuid(String wpbUuid) {
    this.wpbUuid = wpbUuid;
  }
  /**
   * 
   **/
  
  public String getWpbStatus() {
    return wpbStatus;
  }
  public void setWpbStatus(String wpbStatus) {
    this.wpbStatus = wpbStatus;
  }
  /**
   * 
   **/
  
  public String getAdminProtection() {
    return adminProtection;
  }
  public void setAdminProtection(String adminProtection) {
    this.adminProtection = adminProtection;
  }
  /**
   * 
   **/
  
  public String getSizeComments() {
    return sizeComments;
  }
  public void setSizeComments(String sizeComments) {
    this.sizeComments = sizeComments;
  }
  /**
   * 
   **/
  
  public String getAltDocrootSsdReq() {
    return altDocrootSsdReq;
  }
  public void setAltDocrootSsdReq(String altDocrootSsdReq) {
    this.altDocrootSsdReq = altDocrootSsdReq;
  }
  /**
   * 
   **/
  
  public String getMailLimit() {
    return mailLimit;
  }
  public void setMailLimit(String mailLimit) {
    this.mailLimit = mailLimit;
  }
  /**
   * 
   **/
  
  public String getMailAccept() {
    return mailAccept;
  }
  public void setMailAccept(String mailAccept) {
    this.mailAccept = mailAccept;
  }
  /**
   * 
   **/
  
  public String getMailDrop() {
    return mailDrop;
  }
  public void setMailDrop(String mailDrop) {
    this.mailDrop = mailDrop;
  }
  /**
   * FTP/SSH/SCP/SFTP логин.
   **/
  
  public String getFtpName() {
    return ftpName;
  }
  public void setFtpName(String ftpName) {
    this.ftpName = ftpName;
  }
  /**
   * FTP/SSH/SCP/SFTP пароль.
   **/
  
  public String getFtpPwd() {
    return ftpPwd;
  }
  public void setFtpPwd(String ftpPwd) {
    this.ftpPwd = ftpPwd;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse20014 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    unmovable: ").append(toIndentedString(unmovable)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    deleted: ").append(toIndentedString(deleted)).append("\n");
    sb.append("    deletedAuto: ").append(toIndentedString(deletedAuto)).append("\n");
    sb.append("    deletedDump: ").append(toIndentedString(deletedDump)).append("\n");
    sb.append("    userId: ").append(toIndentedString(userId)).append("\n");
    sb.append("    ftpId: ").append(toIndentedString(ftpId)).append("\n");
    sb.append("    dnsId: ").append(toIndentedString(dnsId)).append("\n");
    sb.append("    iisId: ").append(toIndentedString(iisId)).append("\n");
    sb.append("    iisBinding: ").append(toIndentedString(iisBinding)).append("\n");
    sb.append("    iisPath: ").append(toIndentedString(iisPath)).append("\n");
    sb.append("    iisComments: ").append(toIndentedString(iisComments)).append("\n");
    sb.append("    memo: ").append(toIndentedString(memo)).append("\n");
    sb.append("    dateReg: ").append(toIndentedString(dateReg)).append("\n");
    sb.append("    server: ").append(toIndentedString(server)).append("\n");
    sb.append("    serverBak: ").append(toIndentedString(serverBak)).append("\n");
    sb.append("    serverAux: ").append(toIndentedString(serverAux)).append("\n");
    sb.append("    serverTransition: ").append(toIndentedString(serverTransition)).append("\n");
    sb.append("    serverTransitionDtc: ").append(toIndentedString(serverTransitionDtc)).append("\n");
    sb.append("    blockTransfer: ").append(toIndentedString(blockTransfer)).append("\n");
    sb.append("    serverChangedTime: ").append(toIndentedString(serverChangedTime)).append("\n");
    sb.append("    sizeAmount: ").append(toIndentedString(sizeAmount)).append("\n");
    sb.append("    sizeFileCount: ").append(toIndentedString(sizeFileCount)).append("\n");
    sb.append("    sizeFileCountLimit: ").append(toIndentedString(sizeFileCountLimit)).append("\n");
    sb.append("    sizeDate: ").append(toIndentedString(sizeDate)).append("\n");
    sb.append("    sizePriorityScan: ").append(toIndentedString(sizePriorityScan)).append("\n");
    sb.append("    copyLogs: ").append(toIndentedString(copyLogs)).append("\n");
    sb.append("    contentComments: ").append(toIndentedString(contentComments)).append("\n");
    sb.append("    contentCommentsVerbose: ").append(toIndentedString(contentCommentsVerbose)).append("\n");
    sb.append("    metaSaveCount: ").append(toIndentedString(metaSaveCount)).append("\n");
    sb.append("    baseFolder: ").append(toIndentedString(baseFolder)).append("\n");
    sb.append("    virtualhostConf: ").append(toIndentedString(virtualhostConf)).append("\n");
    sb.append("    virtualhostServer: ").append(toIndentedString(virtualhostServer)).append("\n");
    sb.append("    virtualhostServerConf: ").append(toIndentedString(virtualhostServerConf)).append("\n");
    sb.append("    liveDayCount: ").append(toIndentedString(liveDayCount)).append("\n");
    sb.append("    scanDate: ").append(toIndentedString(scanDate)).append("\n");
    sb.append("    globalTransferCount: ").append(toIndentedString(globalTransferCount)).append("\n");
    sb.append("    netLimitFile: ").append(toIndentedString(netLimitFile)).append("\n");
    sb.append("    netLimitDenyFromIp: ").append(toIndentedString(netLimitDenyFromIp)).append("\n");
    sb.append("    netLimitDenyFromAgent: ").append(toIndentedString(netLimitDenyFromAgent)).append("\n");
    sb.append("    apachePhpPooled: ").append(toIndentedString(apachePhpPooled)).append("\n");
    sb.append("    apachePhpPooledExt: ").append(toIndentedString(apachePhpPooledExt)).append("\n");
    sb.append("    apachePhpPooledExtAuto: ").append(toIndentedString(apachePhpPooledExtAuto)).append("\n");
    sb.append("    apachePhpPool1Only: ").append(toIndentedString(apachePhpPool1Only)).append("\n");
    sb.append("    apachePhpPool5Only: ").append(toIndentedString(apachePhpPool5Only)).append("\n");
    sb.append("    apacheSsi: ").append(toIndentedString(apacheSsi)).append("\n");
    sb.append("    bypassSecurity: ").append(toIndentedString(bypassSecurity)).append("\n");
    sb.append("    flagGenericExec: ").append(toIndentedString(flagGenericExec)).append("\n");
    sb.append("    flagNoWww: ").append(toIndentedString(flagNoWww)).append("\n");
    sb.append("    baseFolderSuffix: ").append(toIndentedString(baseFolderSuffix)).append("\n");
    sb.append("    feedbackSpeed: ").append(toIndentedString(feedbackSpeed)).append("\n");
    sb.append("    feedbackSpeedDtc: ").append(toIndentedString(feedbackSpeedDtc)).append("\n");
    sb.append("    feedbackSpeedFeedback: ").append(toIndentedString(feedbackSpeedFeedback)).append("\n");
    sb.append("    unixPathOnWindows: ").append(toIndentedString(unixPathOnWindows)).append("\n");
    sb.append("    ftpIpfilter: ").append(toIndentedString(ftpIpfilter)).append("\n");
    sb.append("    sshIpfilter: ").append(toIndentedString(sshIpfilter)).append("\n");
    sb.append("    l3dAuto: ").append(toIndentedString(l3dAuto)).append("\n");
    sb.append("    awstatsPrimaryDomain: ").append(toIndentedString(awstatsPrimaryDomain)).append("\n");
    sb.append("    sharepointMode: ").append(toIndentedString(sharepointMode)).append("\n");
    sb.append("    sharepointModePending: ").append(toIndentedString(sharepointModePending)).append("\n");
    sb.append("    apacheGenericPoolPort: ").append(toIndentedString(apacheGenericPoolPort)).append("\n");
    sb.append("    mongrelEnvironment: ").append(toIndentedString(mongrelEnvironment)).append("\n");
    sb.append("    flagFree: ").append(toIndentedString(flagFree)).append("\n");
    sb.append("    rtmScanDate: ").append(toIndentedString(rtmScanDate)).append("\n");
    sb.append("    analyzeAnalog: ").append(toIndentedString(analyzeAnalog)).append("\n");
    sb.append("    cpuDetailsEnabled: ").append(toIndentedString(cpuDetailsEnabled)).append("\n");
    sb.append("    contentModeratedStatus: ").append(toIndentedString(contentModeratedStatus)).append("\n");
    sb.append("    contentModeratedDate: ").append(toIndentedString(contentModeratedDate)).append("\n");
    sb.append("    httpFrontendIp: ").append(toIndentedString(httpFrontendIp)).append("\n");
    sb.append("    httpFrontendIpTransition: ").append(toIndentedString(httpFrontendIpTransition)).append("\n");
    sb.append("    cpuLimitExceededDate: ").append(toIndentedString(cpuLimitExceededDate)).append("\n");
    sb.append("    aufsTemplate: ").append(toIndentedString(aufsTemplate)).append("\n");
    sb.append("    optionsAutolimit: ").append(toIndentedString(optionsAutolimit)).append("\n");
    sb.append("    iisCreationCommands: ").append(toIndentedString(iisCreationCommands)).append("\n");
    sb.append("    iisCreationCommandsUnix: ").append(toIndentedString(iisCreationCommandsUnix)).append("\n");
    sb.append("    thumbDate: ").append(toIndentedString(thumbDate)).append("\n");
    sb.append("    thumbFailed: ").append(toIndentedString(thumbFailed)).append("\n");
    sb.append("    backupStatDate: ").append(toIndentedString(backupStatDate)).append("\n");
    sb.append("    backupDate: ").append(toIndentedString(backupDate)).append("\n");
    sb.append("    detectedPackages: ").append(toIndentedString(detectedPackages)).append("\n");
    sb.append("    statSitePower: ").append(toIndentedString(statSitePower)).append("\n");
    sb.append("    smtpFrom: ").append(toIndentedString(smtpFrom)).append("\n");
    sb.append("    superBackupDate: ").append(toIndentedString(superBackupDate)).append("\n");
    sb.append("    backupDeltaStatDate: ").append(toIndentedString(backupDeltaStatDate)).append("\n");
    sb.append("    backupDeltaDate: ").append(toIndentedString(backupDeltaDate)).append("\n");
    sb.append("    backupDeltaDesc: ").append(toIndentedString(backupDeltaDesc)).append("\n");
    sb.append("    altDocrootServer: ").append(toIndentedString(altDocrootServer)).append("\n");
    sb.append("    altDocrootPath: ").append(toIndentedString(altDocrootPath)).append("\n");
    sb.append("    altDocrootStatus: ").append(toIndentedString(altDocrootStatus)).append("\n");
    sb.append("    altDocrootStatusCnt: ").append(toIndentedString(altDocrootStatusCnt)).append("\n");
    sb.append("    altDocrootStatusDate: ").append(toIndentedString(altDocrootStatusDate)).append("\n");
    sb.append("    bindDtc: ").append(toIndentedString(bindDtc)).append("\n");
    sb.append("    backupSpecialMode: ").append(toIndentedString(backupSpecialMode)).append("\n");
    sb.append("    sizeCheckProblem: ").append(toIndentedString(sizeCheckProblem)).append("\n");
    sb.append("    wpbDomain: ").append(toIndentedString(wpbDomain)).append("\n");
    sb.append("    wpbUuid: ").append(toIndentedString(wpbUuid)).append("\n");
    sb.append("    wpbStatus: ").append(toIndentedString(wpbStatus)).append("\n");
    sb.append("    adminProtection: ").append(toIndentedString(adminProtection)).append("\n");
    sb.append("    sizeComments: ").append(toIndentedString(sizeComments)).append("\n");
    sb.append("    altDocrootSsdReq: ").append(toIndentedString(altDocrootSsdReq)).append("\n");
    sb.append("    mailLimit: ").append(toIndentedString(mailLimit)).append("\n");
    sb.append("    mailAccept: ").append(toIndentedString(mailAccept)).append("\n");
    sb.append("    mailDrop: ").append(toIndentedString(mailDrop)).append("\n");
    sb.append("    ftpName: ").append(toIndentedString(ftpName)).append("\n");
    sb.append("    ftpPwd: ").append(toIndentedString(ftpPwd)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

