package io.swagger.model;




import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;

@XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "InlineResponse2002", propOrder =
	{ "id", "name", "server", "pwd", "urlSuffix"
})

@XmlRootElement(name="InlineResponse2002")
public class InlineResponse2002  {
  

  @XmlElement(name="id")
  private Integer id = null;

  @XmlElement(name="name")
  private String name = null;

  @XmlElement(name="server")
  private String server = null;

  @XmlElement(name="pwd")
  private String pwd = null;

  @XmlElement(name="url_suffix")
  private String urlSuffix = null;

  /**
   * идентификатор аккаунта
   **/
  
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }
  /**
   * логин
   **/
  
  public String getName() {
    return name;
  }
  public void setName(String name) {
    this.name = name;
  }
  /**
   * идентификатор сервера. Если равен или больше 10000, то это Postgres. Иначе MySQL
   **/
  
  public String getServer() {
    return server;
  }
  public void setServer(String server) {
    this.server = server;
  }
  /**
   * пароль
   **/
  
  public String getPwd() {
    return pwd;
  }
  public void setPwd(String pwd) {
    this.pwd = pwd;
  }
  /**
   * суффикс домена сервера
   **/
  
  public String getUrlSuffix() {
    return urlSuffix;
  }
  public void setUrlSuffix(String urlSuffix) {
    this.urlSuffix = urlSuffix;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2002 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    server: ").append(toIndentedString(server)).append("\n");
    sb.append("    pwd: ").append(toIndentedString(pwd)).append("\n");
    sb.append("    urlSuffix: ").append(toIndentedString(urlSuffix)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

