package io.swagger.model;




import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;

@XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "InlineResponse2006", propOrder =
	{ "id", "status", "online", "mail", "mercuryUser", "mercuryPwd", "sizeAmount", "sizeFileCount", "archivedCount", "serverPop3", "serverSmtp", "serverWebmail", "serverImap", "wm1", "wm2"
})

@XmlRootElement(name="InlineResponse2006")
public class InlineResponse2006  {
  

  @XmlElement(name="id")
  private Integer id = null;

  @XmlElement(name="status")
  private Integer status = null;

  @XmlElement(name="online")
  private Boolean online = null;

  @XmlElement(name="mail")
  private String mail = null;

  @XmlElement(name="mercury_user")
  private String mercuryUser = null;

  @XmlElement(name="mercury_pwd")
  private String mercuryPwd = null;

  @XmlElement(name="size_amount")
  private Integer sizeAmount = null;

  @XmlElement(name="size_file_count")
  private Integer sizeFileCount = null;

  @XmlElement(name="archived_count")
  private Integer archivedCount = null;

  @XmlElement(name="server_pop3")
  private String serverPop3 = null;

  @XmlElement(name="server_smtp")
  private String serverSmtp = null;

  @XmlElement(name="server_webmail")
  private String serverWebmail = null;

  @XmlElement(name="server_imap")
  private String serverImap = null;

  @XmlElement(name="wm1")
  private String wm1 = null;

  @XmlElement(name="wm2")
  private String wm2 = null;

  /**
   * идентификатор ящика
   **/
  
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }
  /**
   * 
   **/
  
  public Integer getStatus() {
    return status;
  }
  public void setStatus(Integer status) {
    this.status = status;
  }
  /**
   * ящик работает, если true
   **/
  
  public Boolean getOnline() {
    return online;
  }
  public void setOnline(Boolean online) {
    this.online = online;
  }
  /**
   * полный адрес ящика
   **/
  
  public String getMail() {
    return mail;
  }
  public void setMail(String mail) {
    this.mail = mail;
  }
  /**
   * имя пользователя для входа в Mercury
   **/
  
  public String getMercuryUser() {
    return mercuryUser;
  }
  public void setMercuryUser(String mercuryUser) {
    this.mercuryUser = mercuryUser;
  }
  /**
   * пароль для входа в Mercury
   **/
  
  public String getMercuryPwd() {
    return mercuryPwd;
  }
  public void setMercuryPwd(String mercuryPwd) {
    this.mercuryPwd = mercuryPwd;
  }
  /**
   * текущий размер ящика
   **/
  
  public Integer getSizeAmount() {
    return sizeAmount;
  }
  public void setSizeAmount(Integer sizeAmount) {
    this.sizeAmount = sizeAmount;
  }
  /**
   * количество файлов, занятых ящиком
   **/
  
  public Integer getSizeFileCount() {
    return sizeFileCount;
  }
  public void setSizeFileCount(Integer sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
  }
  /**
   * 
   **/
  
  public Integer getArchivedCount() {
    return archivedCount;
  }
  public void setArchivedCount(Integer archivedCount) {
    this.archivedCount = archivedCount;
  }
  /**
   * адрес сервера для доступа к ящику по POP3
   **/
  
  public String getServerPop3() {
    return serverPop3;
  }
  public void setServerPop3(String serverPop3) {
    this.serverPop3 = serverPop3;
  }
  /**
   * адрес сервера для доступа к ящику по SMTP
   **/
  
  public String getServerSmtp() {
    return serverSmtp;
  }
  public void setServerSmtp(String serverSmtp) {
    this.serverSmtp = serverSmtp;
  }
  /**
   * адрес сервера Webmail для входа в ящик через браузер
   **/
  
  public String getServerWebmail() {
    return serverWebmail;
  }
  public void setServerWebmail(String serverWebmail) {
    this.serverWebmail = serverWebmail;
  }
  /**
   * адрес сервера для доступа к ящику по IMAP
   **/
  
  public String getServerImap() {
    return serverImap;
  }
  public void setServerImap(String serverImap) {
    this.serverImap = serverImap;
  }
  /**
   * 
   **/
  
  public String getWm1() {
    return wm1;
  }
  public void setWm1(String wm1) {
    this.wm1 = wm1;
  }
  /**
   * 
   **/
  
  public String getWm2() {
    return wm2;
  }
  public void setWm2(String wm2) {
    this.wm2 = wm2;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2006 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    mail: ").append(toIndentedString(mail)).append("\n");
    sb.append("    mercuryUser: ").append(toIndentedString(mercuryUser)).append("\n");
    sb.append("    mercuryPwd: ").append(toIndentedString(mercuryPwd)).append("\n");
    sb.append("    sizeAmount: ").append(toIndentedString(sizeAmount)).append("\n");
    sb.append("    sizeFileCount: ").append(toIndentedString(sizeFileCount)).append("\n");
    sb.append("    archivedCount: ").append(toIndentedString(archivedCount)).append("\n");
    sb.append("    serverPop3: ").append(toIndentedString(serverPop3)).append("\n");
    sb.append("    serverSmtp: ").append(toIndentedString(serverSmtp)).append("\n");
    sb.append("    serverWebmail: ").append(toIndentedString(serverWebmail)).append("\n");
    sb.append("    serverImap: ").append(toIndentedString(serverImap)).append("\n");
    sb.append("    wm1: ").append(toIndentedString(wm1)).append("\n");
    sb.append("    wm2: ").append(toIndentedString(wm2)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

