package io.swagger.model;




import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;

@XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "InlineResponse2008", propOrder =
	{ "id", "online", "ftpId", "dnsId", "sizeAmount", "sizeFileCount", "sizeFileCountLimit"
})

@XmlRootElement(name="InlineResponse2008")
public class InlineResponse2008  {
  

  @XmlElement(name="id")
  private Integer id = null;

  @XmlElement(name="online")
  private Boolean online = null;

  @XmlElement(name="ftp_id")
  private Integer ftpId = null;

  @XmlElement(name="dns_id")
  private Integer dnsId = null;

  @XmlElement(name="size_amount")
  private Integer sizeAmount = null;

  @XmlElement(name="size_file_count")
  private Integer sizeFileCount = null;

  @XmlElement(name="size_file_count_limit")
  private Integer sizeFileCountLimit = null;

  /**
   * идентификатор сайта
   **/
  
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }
  /**
   * сайт работает нормально если true
   **/
  
  public Boolean getOnline() {
    return online;
  }
  public void setOnline(Boolean online) {
    this.online = online;
  }
  /**
   * идентификатор связанного аккаунта FTP
   **/
  
  public Integer getFtpId() {
    return ftpId;
  }
  public void setFtpId(Integer ftpId) {
    this.ftpId = ftpId;
  }
  /**
   * идентификатор связанной записи DNS
   **/
  
  public Integer getDnsId() {
    return dnsId;
  }
  public void setDnsId(Integer dnsId) {
    this.dnsId = dnsId;
  }
  /**
   * размер занятого места
   **/
  
  public Integer getSizeAmount() {
    return sizeAmount;
  }
  public void setSizeAmount(Integer sizeAmount) {
    this.sizeAmount = sizeAmount;
  }
  /**
   * количество файлов
   **/
  
  public Integer getSizeFileCount() {
    return sizeFileCount;
  }
  public void setSizeFileCount(Integer sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
  }
  /**
   * ограничение на количество файлов
   **/
  
  public Integer getSizeFileCountLimit() {
    return sizeFileCountLimit;
  }
  public void setSizeFileCountLimit(Integer sizeFileCountLimit) {
    this.sizeFileCountLimit = sizeFileCountLimit;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2008 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    ftpId: ").append(toIndentedString(ftpId)).append("\n");
    sb.append("    dnsId: ").append(toIndentedString(dnsId)).append("\n");
    sb.append("    sizeAmount: ").append(toIndentedString(sizeAmount)).append("\n");
    sb.append("    sizeFileCount: ").append(toIndentedString(sizeFileCount)).append("\n");
    sb.append("    sizeFileCountLimit: ").append(toIndentedString(sizeFileCountLimit)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

