package io.swagger.model;




import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;

@XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "_", propOrder =
	{ "mail", "website", "mysql", "size", "mssql", "dynamicContent", "phpExec", "ftp2"
})

@XmlRootElement(name="_")
public class _  {
  

  @XmlElement(name="mail")
  private String mail = null;

  @XmlElement(name="website")
  private String website = null;

  @XmlElement(name="mysql")
  private Boolean mysql = null;

  @XmlElement(name="size")
  private String size = null;

  @XmlElement(name="mssql")
  private Boolean mssql = null;

  @XmlElement(name="dynamic_content")
  private Boolean dynamicContent = null;

  @XmlElement(name="php_exec")
  private Boolean phpExec = null;

  @XmlElement(name="ftp2")
  private String ftp2 = null;

  /**
   * Ограничение на количество почтовых ящиков. '-' означает отсутствие лимита.
   **/
  
  public String getMail() {
    return mail;
  }
  public void setMail(String mail) {
    this.mail = mail;
  }
  /**
   * Ограничение на количество сайтов. '-' означает отсутствие лимита.
   **/
  
  public String getWebsite() {
    return website;
  }
  public void setWebsite(String website) {
    this.website = website;
  }
  /**
   * MySQL разрешен, если true.
   **/
  
  public Boolean getMysql() {
    return mysql;
  }
  public void setMysql(Boolean mysql) {
    this.mysql = mysql;
  }
  /**
   * Ограничение на размер дискового пространства. '-' означает отсутствие лимита.
   **/
  
  public String getSize() {
    return size;
  }
  public void setSize(String size) {
    this.size = size;
  }
  /**
   * MSSQL разрешен, если true.
   **/
  
  public Boolean getMssql() {
    return mssql;
  }
  public void setMssql(Boolean mssql) {
    this.mssql = mssql;
  }
  /**
   * CGI и PHP скрипты разрешены, если true.
   **/
  
  public Boolean getDynamicContent() {
    return dynamicContent;
  }
  public void setDynamicContent(Boolean dynamicContent) {
    this.dynamicContent = dynamicContent;
  }
  /**
   * Функция exec() в PHP разрешена, если true.
   **/
  
  public Boolean getPhpExec() {
    return phpExec;
  }
  public void setPhpExec(Boolean phpExec) {
    this.phpExec = phpExec;
  }
  /**
   * Ограничение на количество дополнительных FTP логинов. '-' означает отсутствие лимита.
   **/
  
  public String getFtp2() {
    return ftp2;
  }
  public void setFtp2(String ftp2) {
    this.ftp2 = ftp2;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class _ {\n");
    
    sb.append("    mail: ").append(toIndentedString(mail)).append("\n");
    sb.append("    website: ").append(toIndentedString(website)).append("\n");
    sb.append("    mysql: ").append(toIndentedString(mysql)).append("\n");
    sb.append("    size: ").append(toIndentedString(size)).append("\n");
    sb.append("    mssql: ").append(toIndentedString(mssql)).append("\n");
    sb.append("    dynamicContent: ").append(toIndentedString(dynamicContent)).append("\n");
    sb.append("    phpExec: ").append(toIndentedString(phpExec)).append("\n");
    sb.append("    ftp2: ").append(toIndentedString(ftp2)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

